#
# Conditional build:
%bcond_without	tests	# do not perform "make test"

%define 	module	iso8601
Summary:	Simple module to parse ISO 8601 dates
Name:		python-%{module}
Version:	0.1.8
Release:	1
License:	MIT
Group:		Development/Languages
Source0:	http://pypi.python.org/packages/source/i/iso8601/%{module}-%{version}.tar.gz
# Source0-md5:	b207ad4f2df92810533ce6145ab9c3e7
URL:		https://bitbucket.org/micktwomey/pyiso8601
BuildRequires:	python-devel
BuildRequires:	python-setuptools
BuildRequires:	rpmbuild(macros) >= 1.219
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module parses the most common forms of ISO 8601 date strings
(e.g. 2007-01-14T20:34:22+00:00) into datetime objects.

%prep
%setup -qn %{module}-%{version}

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install \
	--skip-build \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

%py_postclean

%{__rm} $RPM_BUILD_ROOT%{py_sitescriptdir}/iso8601/test_*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.rst LICENSE
%{py_sitescriptdir}/iso8601
%{py_sitescriptdir}/iso8601-%{version}-py*.egg-info
%changelog
* Sun Oct 27 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-iso8601.git;a=log;h=master

* Sun Oct 27 2013 Elan Ruusamäe <glen@delfi.ee> 9db94d0
- up to 0.1.8; new home

* Sun Oct 27 2013 Elan Ruusamäe <glen@delfi.ee> 5c9c0f3
- new, version 0.1.4

